Download it now!
Bug 129300 - CALC: GUI: cell style settings from Alignment tab don't properly reflect in Organizer tab
Summary: CALC: GUI: cell style settings from Alignment tab don't properly reflect in O...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-09 22:52 UTC by Mihkel Tõnnov
Modified: 2019-12-12 03:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Cell style - Alignment tab (6.4.0b1) (77.02 KB, image/png)
2019-12-09 22:53 UTC, Mihkel Tõnnov
Details
Cell style - Organizer tab (6.4.0b1) (55.83 KB, image/png)
2019-12-09 22:53 UTC, Mihkel Tõnnov
Details
Cell style - Alignment tab (5.4.7) (56.50 KB, image/png)
2019-12-09 22:54 UTC, Mihkel Tõnnov
Details
Cell style - Organizer tab (5.4.7) (42.23 KB, image/png)
2019-12-09 22:54 UTC, Mihkel Tõnnov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2019-12-09 22:52:13 UTC
When modifying a cell style, the options set on Alignment tab don't get properly reflected in Organizer tab - see attached screenshots.

There's different levels of breakage here. The first bit used to (mostly) work before, but was broken somewhere between 5.4.7 and 6.0 (I'll try to bibisect this later to find what broke them).

1) Horizontal/Vertical (under text alignment)
- Values in Organizer tab are always shown as untranslatable "Horizontal alignment default" / "Vertical alignment default", no matter the actual alignment setting in Alignment tab (for added strangeness, those strings are in Weblate, however their key-IDs change depending on the actual value, and those key-IDs in turn don't match any strings)
- A (translatable) "Automatic" is shown after them both, regardless of actual settings (in 5.4.7, "Automatic" was shown for all horizontal/vertical alignment settings except "Distributed")
- The setting "Distributed" (for both horizontal and vertical alignment) isn't remembered after clicking OK in the dialog.


The rest was broken already in OOo 3.2, as confirmed with an old live CD.

2) Indent (under text alignment)
- No description
- Value shown as multiplied by 20 (and without unit)
- If value is changed back to 0 while the dialog is open, previous non-0 value is shown

3) Rotation ("Degrees")
- No description
- Value shown as multiplied by 100 (and without degree mark)
- If value is changed back to 0 while the dialog is open, previous non-0 value is shown

4) Reference edge
- Description shown as "..."
- Value shown as 0, 1 or 3

5) All the checkboxes
- No description
- Value shown as untranslatable "TRUE" or "FALSE" if toggled (depending on the relevant setting in parent style)
- Value is not updated if the setting is changed again while the dialog is open.
Comment 1 Mihkel Tõnnov 2019-12-09 22:53:16 UTC
Created attachment 156447 [details]
Cell style - Alignment tab (6.4.0b1)
Comment 2 Mihkel Tõnnov 2019-12-09 22:53:49 UTC
Created attachment 156448 [details]
Cell style - Organizer tab (6.4.0b1)
Comment 3 Mihkel Tõnnov 2019-12-09 22:54:16 UTC
Created attachment 156449 [details]
Cell style - Alignment tab (5.4.7)
Comment 4 Mihkel Tõnnov 2019-12-09 22:54:42 UTC
Created attachment 156450 [details]
Cell style - Organizer tab (5.4.7)
Comment 5 Mihkel Tõnnov 2019-12-10 00:58:30 UTC
Bibisected using bibisect-linux-64-6.0. The first bad commit, 00657aef09d854c74fb426a935a3e8b1fc390bb0, is unfortunately the migration to Gettext: https://gerrit.libreoffice.org/plugins/gitiles/core/+/00657aef09d854c74fb426a935a3e8b1fc390bb0%5E!/
Adding its committer Caolán to Cc, in case he wants to take a look.

Relevant items:
RID_SVXITEMS_HORJUST_STANDARD ... RID_SVXITEMS_HORJUST_REPEAT
RID_SVXITEMS_VERJUST_STANDARD ... RID_SVXITEMS_VERJUST_BOTTOM
RID_SVXITEMS_JUSTMETHOD_AUTO and RID_SVXITEMS_JUSTMETHOD_DISTRIBUTE

I am not a programmer, but comparing these with the settings from other, working tab pages, it seems like these is something amiss between include/editeng/editrids.hrc and editeng/source/items/justifyitem.cxx.
Comment 6 Commit Notification 2019-12-10 13:21:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/24c13a0675cd0b6568d2da18293ab16535eec24f

tdf#129300 alignment enums not translated in organizer

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-12-10 19:35:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d7e9db93aec2d1c698e01893fbcaadd6d1207167

Related: tdf#129300 vertical justify had no description

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-10 19:37:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1807c61f1abc6cab74d0fa8ccac7a8ef9114b88

Related: tdf#129300 rotation reference edge had no real description

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-12-10 19:37:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cf84ead0c4d91ce1473682cfe07914e965b68ab2

Related: tdf#129300 add ScRotateValueItem description in degrees

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-12-10 20:07:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ca19ae6e0595f8b69fc4929072636bf10ca3027e

Related: tdf#129300 add ScShrinkToFitCell to provide a description

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-12-11 11:28:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f13f0693de4c301898f304999225738334aadb0

tdf#129300 If it would create no change, don't force it

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-12-11 11:28:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6156d2fa9f67469d55fc9d01632e6d33a698fdf6

Related: tdf#129300 make Automatic/Distributed state what is automatic

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-12-11 13:19:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2579895f2c18fd7d606715f91b1463900f6d6937

Related: tdf#129300 add ScVerticalStackCell to provide a description

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-12-11 16:09:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/331cafb1484597544bd94fa3f0e0a45b3328a4d8

Related: tdf#129300 add ScLineBreakCell to provide a description

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-12-11 16:11:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cfbac86a0423c552a042ae7b9702c0904d4e232a

Related: tdf#129300 add ScHyphenateCell to provide a description

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-12-11 16:11:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1219650c9676e9914c610d96908e6813c4a07ee5

Related: tdf#129300 add ScIndentItem to provide a description

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-12-11 16:11:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5d44be6c13e6da2d50c0b75d0794a69e796072b5

Related: tdf#129300 clear properties that are set back to their original state

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-12-11 17:02:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c250f7dac3067bb75ee5a8e07e8cf2e1247ad525

tdf#129300 alignment enums not translated in organizer

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2019-12-11 17:04:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d0551164a5cf4b76047a94c34fd22bbc94b95463

tdf#129300 If it would create no change, don't force it

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Caolán McNamara 2019-12-11 20:19:59 UTC
"1) Horizontal/Vertical (under text alignment)
- Values in Organizer tab are always shown as untranslatable "Horizontal alignment default" / "Vertical alignment default""

This is fixed in master and 6-4 with backport to 6-3 in master as https://gerrit.libreoffice.org/#/c/84814/1

"- A (translatable) "Automatic" is shown after them both, regardless of actual settings (in 5.4.7, "Automatic" was shown for all horizontal/vertical alignment settings except "Distributed")"

This is fixed in master and 6-4 with backport to 6-3 in master as
https://gerrit.libreoffice.org/#/c/84985/

"- The setting "Distributed" (for both horizontal and vertical alignment) isn't remembered after clicking OK in the dialog."

I don't see this problem. If its still there and I've missed how to reproduce that feel free to file a new separate bug for it

"2) Indent (under text alignment)
3) Rotation ("Degrees")
4) Reference edge
5) All the checkboxes"

I think all these are now fixed in master.
Comment 21 Mihkel Tõnnov 2019-12-11 20:24:42 UTC
Thank you for the fast fixes! :)
Comment 22 Commit Notification 2019-12-12 03:06:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/844c56230fde10bd62269ed14aa7f7e10edb2ea2

tdf#129300 alignment enums not translated in organizer

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2019-12-12 03:07:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/0476613b0150b706cbff80d08c6983793c7fd612

tdf#129300 If it would create no change, don't force it

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.